Bug 249433 - restorecon tripped up by %doc file with name ending in ".so"
Summary: restorecon tripped up by %doc file with name ending in ".so"
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-24 17:31 UTC by Nalin Dahyabhai
Modified: 2008-01-30 19:18 UTC (History)
0 users

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 19:18:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nalin Dahyabhai 2007-07-24 17:31:37 UTC
When I ran 'sudo restorecon /usr/share' today to see what happened, I saw this:

nalin@sparky:~> sudo restorecon -R -v /usr/share/
restorecon reset /usr/share/doc/libgcj-4.1.2/README.libgcjwebplugin.so context
system_u:object_r:lib_t:s0->system_u:object_r:shlib_t:s0

It's a text file, so neither of those contexts looks correct to me.

Comment 1 Nalin Dahyabhai 2007-07-24 17:32:14 UTC
Oops, that's "restorecon", not "restorecond".

Comment 2 Daniel Walsh 2007-09-19 01:11:44 UTC
Fixed in selinux-policy-3.0.8-2.fc8.src.rpm


Comment 3 Daniel Walsh 2008-01-30 19:18:33 UTC
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.


Note You need to log in before you can comment on or make changes to this bug.